services:
#    seguridad.example:
#        class: Bandec\SeguridadBundle\Example
#        arguments: [@service_id, "plain_value", %parameter%]
#    seguridad.listener:
#        class: Qbabit\SecurityBundle\Listener\LogListener
#        arguments: ['@service_container']
#        tags:
#            - { name: doctrine.event_listener, event: postPersist }
#            - { name: doctrine.event_listener, event: postRemove }
#            - { name: doctrine.event_listener, event: postUpdate }
#            - { name: kernel.event_listener,   event: security.interactive_login }

#    security.utilidades:
#        class: Qbabit\SecurityBundle\Util\SecurityUtil
#        arguments: ['@service_container', '%lavadoo.email%']
    qbabit.security.user_checker:
         class: QbaBit\SecurityBundle\Listener\UserChecker
         arguments: [ ]
    qbabit.security.facebook:
         class: QbaBit\SecurityBundle\Listener\FacebookAuthenticator
         arguments: [ "@knpu.oauth2.registry","@doctrine.orm.default_entity_manager","@router.default","@service_container"]
    qbabit.security.grupo_editor:
         class: QbaBit\SecurityBundle\Form\SeguridadGrupoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qbabit.security.seccion_editor:
         class: QbaBit\SecurityBundle\Form\SeguridadSeccionesType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qbabit.security.seccion_rol_editor:
         class: QbaBit\SecurityBundle\Form\SeguridadSeccionesRolType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qbabit.security.usuario_editor:
         class: QbaBit\SecurityBundle\Form\UsuarioType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qbabit.security.admin.user_address:
        class: QbaBit\SecurityBundle\Form\UsuarioAddressType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]
    qbabit.security.profile_edit:
         class: QbaBit\SecurityBundle\Form\ProfileType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qbabit.security.onloginuser:
        class: QbaBit\SecurityBundle\Listener\QLoginUserListener
        arguments: ["@service_container"]
        tags:
            - { name: kernel.event_listener,   event: security.interactive_login }
    qbabit.user.bindeable_class_declared:
        class: QbaBit\SecurityBundle\Services\QbUserBindeableClassDeclared
        arguments: ["@service_container"]
        public: true
    qbabit.user.social_poster:
        class: QbaBit\SecurityBundle\Services\SocialPoster
        arguments: ["@service_container"]
        public: true
    qbabit.session.extension:
        class: QbaBit\SecurityBundle\Twig\QbaBitSessionExtension
        public: true
        autoconfigure: true
        tags:
            - { name: twig.extension }
        arguments: ["@request_stack"]